# TdApi.PageBlockDetails (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: PageBlockDetails

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PageBlockDetails

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PageBlock
it.tdlight.jni.TdApi.PageBlockDetails

Enclosing class:
  TdApi

public static final class TdApi.PageBlockDetails extends TdApi.PageBlock
A collapsible block.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.RichText`
`header`
Always visible heading for the block.
`boolean`
`isOpen`
True, if the block is open by default.
`TdApi.PageBlock[]`
`pageBlocks`
Block contents.

## Constructor Summary

Constructors
Constructor
Description
`PageBlockDetails()`
A collapsible block.
`PageBlockDetails(TdApi.RichText header, TdApi.PageBlock[] pageBlocks, boolean isOpen)`
A collapsible block.
`PageBlockDetails(DataInput input)`
A collapsible block.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### header

public TdApi.RichText header
Always visible heading for the block.

### pageBlocks

public TdApi.PageBlock[] pageBlocks
Block contents.

### isOpen

public boolean isOpen
True, if the block is open by default.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### PageBlockDetails

public PageBlockDetails()
A collapsible block.

### PageBlockDetails

public PageBlockDetails(TdApi.RichText header, TdApi.PageBlock[] pageBlocks, boolean isOpen)
A collapsible block.

Parameters:
  `header` - RichText Always visible heading for the block.
  `pageBlocks` - PageBlock[] Block contents.
  `isOpen` - boolean True, if the block is open by default.

### PageBlockDetails

public PageBlockDetails(DataInput input) throws IOException
A collapsible block.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`